﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RadGridColumnsReordering.aspx.cs"
    Inherits="RadGridColumnsReordering" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script type="text/javascript">
        function pageLoad() {
            var data = [{ "ID": 1, "Text": "Text1" }, { "ID": 2, "Text": "Text2"}];
            var mtv = $find("RadGrid1").get_masterTableView(); mtv.set_dataSource(data); mtv.dataBind();
        }

        var sourceCellAlign;
        var targetCellAlign;
        function ColumnSwapping(sender, eventArgs) {
            var sourceColumnUniqueName = eventArgs.get_gridSourceColumn().get_uniqueName();
            var targetColumnUniqueName = eventArgs.get_gridTargetColumn().get_uniqueName();
            var tableView = sender.get_masterTableView();
            var dataItem = tableView.get_dataItems()[0];
            sourceCellAlign = tableView.getCellByColumnUniqueName(dataItem, sourceColumnUniqueName).align;
            targetCellAlign = tableView.getCellByColumnUniqueName(dataItem, targetColumnUniqueName).align;
        }

        function ColumnSwapped(sender, eventArgs) {
            var sourceColumnUniqueName = eventArgs.get_gridSourceColumn().get_uniqueName();
            var targetColumnUniqueName = eventArgs.get_gridTargetColumn().get_uniqueName();

            var tableView = sender.get_masterTableView();
            var dataItems = tableView.get_dataItems();
            var currentDataItem;
            for (var i = 0; i < dataItems.length; i++) {
                currentDataItem = dataItems[i];
                var sourceCell = tableView.getCellByColumnUniqueName(currentDataItem, sourceColumnUniqueName);
                var targetCell = tableView.getCellByColumnUniqueName(currentDataItem, targetColumnUniqueName);

                if (sourceCellAlign || sourceCellAlign == "") {
                    targetCell.align = sourceCellAlign;
                }
                if (targetCellAlign || targetCellAlign == "") {
                    sourceCell.align = targetCellAlign;
                }
            }
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
        </telerik:RadScriptManager>
        <telerik:RadGrid ID="RadGrid1" runat="server" CellSpacing="0" GridLines="None">
            <ClientSettings AllowColumnsReorder="true" ColumnsReorderMethod="Reorder" ReorderColumnsOnClient="true">
                <ClientEvents OnCommand="function(){}" OnColumnSwapping="ColumnSwapping" OnColumnSwapped="ColumnSwapped" />
            </ClientSettings>
            <MasterTableView AutoGenerateColumns="False">
                <CommandItemSettings ExportToPdfText="Export to PDF"></CommandItemSettings>
                <RowIndicatorColumn Visible="True" FilterControlAltText="Filter RowIndicator column">
                    <HeaderStyle Width="20px"></HeaderStyle>
                </RowIndicatorColumn>
                <ExpandCollapseColumn Visible="True" FilterControlAltText="Filter ExpandColumn column">
                    <HeaderStyle Width="20px"></HeaderStyle>
                </ExpandCollapseColumn>
                <Columns>
                    <telerik:GridBoundColumn DataField="ID" DataType="System.Int32" FilterControlAltText="Filter ID column"
                        HeaderText="ID" ReadOnly="True" SortExpression="ID" UniqueName="ID" ItemStyle-HorizontalAlign="Center"
                        HeaderStyle-HorizontalAlign="Center">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="Text" DataType="System.String" FilterControlAltText="Filter Text column"
                        HeaderText="Text" ReadOnly="True" SortExpression="Text" UniqueName="Text">
                    </telerik:GridBoundColumn>
                </Columns>
                <EditFormSettings>
                    <EditColumn FilterControlAltText="Filter EditCommandColumn column">
                    </EditColumn>
                </EditFormSettings>
            </MasterTableView>
            <FilterMenu EnableImageSprites="False">
            </FilterMenu>
        </telerik:RadGrid>
    </div>
    </form>
</body>
</html>
